package com.pcloud.book.book.dao;

import com.pcloud.book.book.entity.KeywordWarehouseDetail;
import com.pcloud.common.core.dao.BaseDao;

import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface KeywordWarehouseDetailDao extends BaseDao<KeywordWarehouseDetail> {

    int insertSelective(KeywordWarehouseDetail record);

    KeywordWarehouseDetail selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(KeywordWarehouseDetail record);

    int updateByPrimaryKey(KeywordWarehouseDetail record);

    void deleteDetails(Long keywordId);

    void addOne(Long adviserId, Long id);

    List<KeywordWarehouseDetail> listByKeywordIds(@Param("list") List<Long> ids);

}